import { CustomFetchApi, ApiClientLogger, ApiClient, ApiClientLogContentTypes, ApiClientConfig } from '@shopify/graphql-client';

type AdminApiClientLogContentTypes = ApiClientLogContentTypes;
type AdminApiClientConfig = ApiClientConfig & {
    accessToken: string;
    userAgentPrefix?: string;
};
type AdminApiClientOptions = Omit<AdminApiClientConfig, "headers" | "apiUrl"> & {
    customFetchApi?: CustomFetchApi;
    logger?: ApiClientLogger<AdminApiClientLogContentTypes>;
};
interface AdminQueries {
    [key: string]: {
        variables: any;
        return: any;
    };
}
interface AdminMutations {
    [key: string]: {
        variables: any;
        return: any;
    };
}
type AdminOperations = AdminQueries & AdminMutations;
type AdminApiClient = ApiClient<AdminApiClientConfig, AdminOperations>;

declare function createAdminApiClient({ storeDomain, apiVersion, accessToken, userAgentPrefix, retries, customFetchApi: clientFetchApi, logger, }: AdminApiClientOptions): AdminApiClient;

export { AdminMutations, AdminQueries, createAdminApiClient };
